> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smatvirtual.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Launch Url



## OpenAPI

````yaml api-reference/openapi.json get /api/v1.1/operator-api/games/generate-launch-url
openapi: 3.0.0
info:
  title: Smatvirtual Operator API
  description: Smatvirtual Operator API documentation
  version: 1.0.0
  contact:
    name: Smat Virtual
    url: https://smatvirtual.com
    email: support@smatvirtual.com
servers:
  - url: https://api-staging.smatvirtual.com
security:
  - bearerAuth: []
tags: []
paths:
  /api/v1.1/operator-api/games/generate-launch-url:
    get:
      tags:
        - game-controller
      operationId: getGameLaunchUrl
      parameters:
        - name: gameId
          required: true
          in: query
          schema:
            type: string
        - name: mode
          required: false
          in: query
          schema:
            type: string
        - name: currency
          required: false
          in: query
          schema:
            type: string
        - name: playerId
          required: true
          in: query
          schema:
            type: string
        - name: sessionId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Get game launch url
          content:
            application/json:
              schema:
                type: string
      security:
        - sv-api-key: []
components:
  securitySchemes:
    sv-api-key:
      type: apiKey
      in: header
      name: sv-api-key

````